var readline = require('readline');//node上有，不为了锁版本，可以不用安装

// warn("aaasd",()=>{console.log(213)},()=>{console.log(65)})
/**
 * 提醒脚本
 * @param {string} msg 提示信息
 * @param {Function} resolve yes回调
 * @param {Function} reject no回调
 */
function warn(msg, resolve, reject) {
    var rl = readline.createInterface({
        input: process.stdin,
        output: process.stdout
    });
    rl.question(msg + "[y/n]", function (answer) {
        switch (answer) {
            case 'y':
            case 'Y':
            case 'yes':
            case 'YES':
                resolve && resolve();
                // 不加close，则不会结束
                rl.close();
                break;
            case 'n':
            case 'N':
            case 'no':
            case 'NO':
            default:
                reject && reject();
                rl.close();
                break;
        }
    });
}

module.exports = warn